=== debian/changelog ===
openssh (1:5.3p1-3ubuntu3) lucid; urgency=low

  * Fix syntax error in openssh-server apport hook (LP: #534365).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Mar 2010 15:24:44 +0000

openssh (1:5.3p1-3ubuntu2) lucid; urgency=low

  * Always set child processes' OOM adjustment to 0, since Upstart will have
    set sshd's OOM adjustment on startup and so simply restoring the startup
    value won't work (LP: #293000).  Thanks to Karsten Suehring for
    analysis.
  * Limit automatic respawning to 10 times in 5 seconds (thanks to Fumihito
    YOSHIDA for the suggestion; LP: #533352).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Mar 2010 22:00:19 +0000

openssh (1:5.3p1-3ubuntu1) lucid; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests; they
      take up a lot of CD space, and I suspect that rolling them out in
      security updates has covered most affected systems now.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Mar 2010 22:01:14 +0000

openssh (1:5.3p1-3) unstable; urgency=low

  * Convert to source format 3.0 (quilt).
  * Update README.source to match, and add a 'quilt-setup' target to
    debian/rules for the benefit of those checking out the package from
    revision control.
  * All patches are now maintained separately and tagged according to DEP-3.
  * Add GSSAPIStoreCredentialsOnRekey to 'sshd -T' configuration dump.
  * Remove documentation of building for Debian 3.0 in README.Debian.
    Support for this was removed in 1:4.7p1-2.
  * Remove obsolete header from README.Debian dating from when people
    expected non-free SSH.
  * Update copyright years for GSSAPI patch.

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Feb 2010 01:35:53 +0000

openssh (1:5.3p1-2) unstable; urgency=low

  * Link with -Wl,--as-needed (closes: #560155).
  * Install upstream sshd_config as an example (closes: #415008).
  * Use dh_lintian.
  * Honour DEB_BUILD_OPTIONS=nocheck.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Feb 2010 12:43:24 +0000

openssh (1:5.3p1-1ubuntu2) lucid; urgency=low

  [ Chuck Short ]
  * Install apport hook; part of the server-lucid-apport-hooks
    specification.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Feb 2010 02:21:13 +0000

openssh (1:5.3p1-1ubuntu1) lucid; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests; they
      take up a lot of CD space, and I suspect that rolling them out in
      security updates has covered most affected systems now.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Jan 2010 13:07:40 +0000

openssh (1:5.3p1-1) unstable; urgency=low

  * New upstream release.
  * Update to GSSAPI patch from
    http://www.sxw.org.uk/computing/patches/openssh-5.3p1-gsskex-all-20100124.patch.
  * Backport from upstream:
    - Do not fall back to adding keys without constraints (ssh-add -c / -t
      ...) when the agent refuses the constrained add request. This was a
      useful migration measure back in 2002 when constraints were new, but
      just adds risk now (LP: #209447).
  * Drop change from 1:3.8p1-3 to avoid setresuid() and setresgid() system
    calls.  This only applied to Linux 2.2, which it's no longer feasible to
    run anyway (see 1:5.2p1-2 changelog).

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Jan 2010 11:55:29 +0000

openssh (1:5.2p1-2ubuntu1) lucid; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests; they
      take up a lot of CD space, and I suspect that rolling them out in
      security updates has covered most affected systems now.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 16 Jan 2010 03:58:17 +0000

openssh (1:5.2p1-2) unstable; urgency=low

  [ Colin Watson ]
  * Backport from upstream:
    - After sshd receives a SIGHUP, ignore subsequent HUPs while sshd
      re-execs itself.  Prevents two HUPs in quick succession from resulting
      in sshd dying (LP: #497781).
    - Output a debug if we can't open an existing keyfile (LP: #505301).
  * Use host compiler for ssh-askpass-gnome when cross-compiling.
  * Don't run tests when cross-compiling.
  * Drop change from 1:3.6.1p2-5 to disable cmsg_type check for file
    descriptor passing when running on Linux 2.0.  The previous stable
    release of Debian dropped support for Linux 2.4, let alone 2.0, so this
    very likely has no remaining users depending on it.

  [ Kees Cook ]
  * Implement DebianBanner server configuration flag that can be set to "no"
    to allow sshd to run without the Debian-specific extra version in the
    initial protocol handshake (closes: #562048).

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Jan 2010 01:28:58 +0000

openssh (1:5.2p1-1ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests; they
      take up a lot of CD space, and I suspect that rolling them out in
      security updates has covered most affected systems now.
  * Convert to Upstart. The init script is still here for the benefit of
    people running sshd in chroots. Note that the Upstart job does not
    support /etc/default/ssh, because it's much more straightforward to edit

