## openssh 5.5p1

=== debian/changelog ===
openssh (1:5.5p1-4ubuntu6) maverick-proposed; urgency=low

  [ Clint Byrum ]
  * debian/openssh-server.ssh.init: Adding upstart awareness that will
    call /lib/init/upstart-job when script is run outside of a chroot.
    While this fixes LP: #531912, the change should be reverted when
    upstart gains chroot session support.

  [ Colin Watson ]
  * Only do the above if /etc/init/ssh.conf still exists, since apparently
    some people have been removing it.

 -- Clint Byrum <clint@ubuntu.com>  Sat, 11 Jun 2011 08:06:02 -0700

openssh (1:5.5p1-4ubuntu5) maverick-proposed; urgency=low

  * debian/openssh-server.ssh.upstart: drop 'expect fork' and run sshd
    with -D to avoid losing track on reload (LP: #687535)

 -- Imre Gergely <gimre@narancs.net>  Fri, 07 Jan 2011 10:23:21 +0000

openssh (1:5.5p1-4ubuntu4) maverick; urgency=low

  * Fix stray hyphen in the title of ssh-import-id(1).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Sep 2010 18:50:57 +0100

openssh (1:5.5p1-4ubuntu3) maverick; urgency=low

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.

  [ Dustin Kirkland ]
  * debian/openssh-server.install, debian/ssh-import-id:
    - move the ssh-import-lp-id utility from the ssh-import
      package to openssh-server (which is the logical destination
      for this tool)
    - rename it from ssh-import-lp-id (clumsy) to ssh-import-id (nicer,
      more like 'ssh-copy-id')
  * debian/openssh-server.links:
    - add a symlink from ssh-import-lp-id (old name) to ssh-import-id
      (new name) to maintain compatibility with existing user scripts;
      link the manpage too
  * debian/control:
    - ensure that openssh-server replaces and conflicts ssh-import (which
      will be removed from the archive)
  * debian/ssh-import-id.1, debian/openssh-server.manpages:
    - add/install a manpage

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Jul 2010 15:49:14 +0100

openssh (1:5.5p1-4ubuntu2) maverick; urgency=low

  * Stop Upstart job on runlevel [!2345] rather than just S, since
    /etc/init.d/sendsigs no longer kills jobs under Upstart's control
    (thanks, Rob Donovan; LP: #603363).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Jul 2010 12:21:17 +0100

openssh (1:5.5p1-4ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests; they
      take up a lot of CD space, and I suspect that rolling them out in
      security updates has covered most affected systems now.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 May 2010 19:59:05 +0100

openssh (1:5.5p1-4) unstable; urgency=low

  [ Sebastian Andrzej Siewior ]
  * Add powerpcspe to architecture list for libselinux1-dev build-dependency
    (closes: #579843).

  [ Colin Watson ]
  * Allow ~/.ssh/authorized_keys and other secure files to be
    group-writable, provided that the group in question contains only the
    file's owner; this extends a patch previously applied to ~/.ssh/config
    (closes: #581919).
  * Check primary group memberships as well as supplementary group
    memberships, and only allow group-writability by groups with exactly one
    member, as zero-member groups are typically used by setgid binaries
    rather than being user-private groups (closes: #581697).

 -- Colin Watson <cjwatson@debian.org>  Sat, 22 May 2010 23:37:20 +0100

openssh (1:5.5p1-3ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests; they
      take up a lot of CD space, and I suspect that rolling them out in
      security updates has covered most affected systems now.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.
  * Stop setting OOM adjustment in Upstart job; sshd does it itself now.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 May 2010 18:04:01 +0200

openssh (1:5.5p1-3) unstable; urgency=low

  * Discard error messages while checking whether rsh, rlogin, and rcp
    alternatives exist (closes: #579285).
  * Drop IDEA key check; I don't think it works properly any more due to
    textual changes in error output, it's only relevant for direct upgrades
    from truly ancient versions, and it breaks upgrades if
    /etc/ssh/ssh_host_key can't be loaded (closes: #579570).

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Apr 2010 22:12:47 +0100

openssh (1:5.5p1-2) unstable; urgency=low

  * Use dh_installinit -n, since our maintainer scripts already handle this
    more carefully (thanks, Julien Cristau).

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Apr 2010 12:55:56 +0100

openssh (1:5.5p1-1) unstable; urgency=low

  * New upstream release:
    - Unbreak sshd_config's AuthorizedKeysFile option for $HOME-relative
      paths.
    - Include a language tag when sending a protocol 2 disconnection
      message.
    - Make logging of certificates used for user authentication more clear
      and consistent between CAs specified using TrustedUserCAKeys and
      authorized_keys.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Apr 2010 10:27:30 +0100

openssh (1:5.4p1-2) unstable; urgency=low

  * Borrow patch from Fedora to add DNSSEC support: if glibc 2.11 is
    installed, the host key is published in an SSHFP RR secured with DNSSEC,
    and VerifyHostKeyDNS=yes, then ssh will no longer prompt for host key
    verification (closes: #572049).
  * Convert to dh(1), and use dh_installdocs --link-doc.
  * Drop lpia support, since Ubuntu no longer supports this architecture.
  * Use dh_install more effectively.

