=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: standard
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
 XSBC-Original-Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
-Build-Depends: libwrap0-dev | libwrap-dev, zlib1g-dev (>= 1:1.2.3-1), libssl-dev (>= 0.9.8-1), libpam0g-dev | libpam-dev, libgtk2.0-dev, libedit-dev, debhelper (>= 7.0.1), sharutils, libselinux1-dev [alpha amd64 arm armeb armel hppa i386 ia64 lpia m68k mips mipsel powerpc ppc64 s390 sh4 sparc], libkrb5-dev | heimdal-dev, hardening-includes, libck-connector-dev, dh-apport
-Standards-Version: 3.7.3
+Build-Depends: libwrap0-dev | libwrap-dev, zlib1g-dev (>= 1:1.2.3-1), libssl-dev (>= 0.9.8-1), libpam0g-dev | libpam-dev, libgtk2.0-dev, libedit-dev, debhelper (>= 7.4.2~), libselinux1-dev [alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 sh4 sparc], libkrb5-dev | heimdal-dev, hardening-includes, libck-connector-dev, dh-apport
+Standards-Version: 3.8.4
 Uploaders: Colin Watson <cjwatson@debian.org>, Matthew Vernon <matthew@debian.org>
+Homepage: http://www.openssh.org/
 Vcs-Bzr: http://bzr.debian.org/pkg-ssh/openssh/trunk
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ssh/openssh/trunk
 
@@ -45,8 +46,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.0) | debconf-2.0, libpam-runtime (>= 0.76-14), libpam-modules (>= 0.72-9), adduser (>= 3.9), dpkg (>= 1.9.0), openssh-client (= ${binary:Version}), lsb-base (>= 3.2-13), libssl0.9.8 (>= 0.9.8g-9), procps
 Recommends: xauth
-Conflicts: ssh (<< 1:3.8.1p1-9), ssh-nonfree (<<2), ssh-socks, ssh2, sftp, rsh-client (<<0.16.1-1), ssh-krb5 (<< 1:4.3p2-7)
-Replaces: ssh, openssh-client (<< 1:3.8.1p1-11), ssh-krb5
+Conflicts: ssh (<< 1:3.8.1p1-9), ssh-nonfree (<<2), ssh-socks, ssh2, sftp, rsh-client (<<0.16.1-1), ssh-krb5 (<< 1:4.3p2-7), ssh-import
+Replaces: ssh, openssh-client (<< 1:3.8.1p1-11), ssh-krb5, ssh-import
 Suggests: ssh-askpass, rssh, molly-guard, openssh-blacklist, openssh-blacklist-extra, ufw
 Provides: ssh-server
 Description: secure shell (SSH) server, for secure access from remote machines
