## openssh 5.5p1-4ubuntu6+4.5trisquel1

=== debian/changelog ===
openssh (1:5.5p1-4ubuntu6+4.5trisquel1) slaine; urgency=low

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 22 Jul 2011 01:04:27 +0000
