=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: openssh
 Section: net
 Priority: standard
-Maintainer: Colin Watson <cjwatson@ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
 Build-Depends: libwrap0-dev | libwrap-dev, zlib1g-dev (>= 1:1.2.3-1), libssl-dev (>= 0.9.8-1), libpam0g-dev | libpam-dev, libgtk2.0-dev, libedit-dev, debhelper (>= 7.4.2~), libselinux1-dev [alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 sh4 sparc], libkrb5-dev | heimdal-dev, hardening-includes, libck-connector-dev, dh-apport
 Standards-Version: 3.8.4
