=== debian/rules ===
--- 
+++ 
@@ -56,10 +56,10 @@
 endif
 
 # Change the version string to include the Debian version
-SSH_EXTRAVERSION := Debian-$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/Version: //p' | sed -e 's/[^-]*-//')
-
-DISTRIBUTOR := $(shell lsb_release -is 2>/dev/null || echo Debian)
-ifeq ($(DISTRIBUTOR),Ubuntu)
+SSH_EXTRAVERSION := Trisquel_GNU/linux_4.5-1
+
+DISTRIBUTOR := $(shell echo $(lsb_release -is) GNU/Linux 2>/dev/null || echo Debian)
+ifeq ($(DISTRIBUTOR),Trisquel GNU/Linux)
 DEFAULT_PATH := /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games
 else
 DEFAULT_PATH := /usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games
